#!/bin/bash

echo ""
echo "... ] Attaching private Docker registry [ ..."
echo ""

if [ -z "$1" ]; then
    echo "] Usage: ./attach_private_registry.sh <registry-name>"
    exit 2
fi
REG_NAME="$1"

echo -n "] Target secret namespace: "
read NSPACE
if [ -z "$NSPACE" ]; then
    echo "] No namespace"
    exit 1
fi

echo -n "] Enter Docker registry user: "
read REGISTRY_USER

echo -n "] Enter Docker registry password (token): "
read REGISTRY_PASS

echo -n "] Enter Docker registry email: "
read REGISTRY_EMAIL

echo -n "] Enter Docker registry url (empty for docker hub): "
read REGISTRY_URL
if [ -z "$REGISTRY_URL" ]; then
    CONFIG_URL="--docker-server=https://index.docker.io/v2/"
else
    CONFIG_URL="--docker-server=https://${REGISTRY_URL}/v2/"
fi

SECRET_NAME="registry-${NSPACE}-${REG_NAME}"
SECRET_CONFIG="${CONFIG_URL} --docker-username=${REGISTRY_USER} --docker-password=${REGISTRY_PASS} --docker-email=${REGISTRY_EMAIL}"
CMD="/usr/local/bin/k -n ${NSPACE} create secret docker-registry ${SECRET_NAME} ${SECRET_CONFIG}"

echo ""
echo "Executing command: ${CMD}"
echo -n "Is that okay [y/n]? "
read answer
if [ "$answer" != "${answer#[Yy]}" ]; then
    ${CMD}
fi